## puzzle-master 1.2.0

=== Makefile ===
#############################################################################
# Makefile for building: build/puzzle-master
# Generated by qmake (2.01a) (Qt 4.5.3) on: Fri Feb 18 05:25:00 2011
# Project:  puzzle-master.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile puzzle-master.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DMOBILE -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_X86/usr/include/qt4/QtCore -I/targets/DIABLO_X86/usr/include/qt4/QtGui -I/targets/DIABLO_X86/usr/include/qt4 -Ibuild -Ibuild
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		puzzleitem.cpp \
		jigsawpuzzleitem.cpp \
		settingsdialog.cpp \
		imagechooser.cpp \
		highscoresdialog.cpp \
		jigsawpuzzleboard.cpp \
		puzzleboard.cpp build/moc_mainwindow.cpp \
		build/moc_jigsawpuzzleitem.cpp \
		build/moc_settingsdialog.cpp \
		build/moc_imagechooser.cpp \
		build/moc_highscoresdialog.cpp \
		build/moc_jigsawpuzzleboard.cpp \
		build/moc_puzzleboard.cpp \
		build/qrc_resources.cpp
OBJECTS       = build/main.o \
		build/mainwindow.o \
		build/puzzleitem.o \
		build/jigsawpuzzleitem.o \
		build/settingsdialog.o \
		build/imagechooser.o \
		build/highscoresdialog.o \
		build/jigsawpuzzleboard.o \
		build/puzzleboard.o \
		build/moc_mainwindow.o \
		build/moc_jigsawpuzzleitem.o \
		build/moc_settingsdialog.o \
		build/moc_imagechooser.o \
		build/moc_highscoresdialog.o \
		build/moc_jigsawpuzzleboard.o \
		build/moc_puzzleboard.o \
		build/qrc_resources.o
DIST          = /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf \
		puzzle-master.pro
QMAKE_TARGET  = puzzle-master
DESTDIR       = build/
TARGET        = build/puzzle-master

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): build/ui_mainwindow.h build/ui_settingsdialog.h build/ui_imagechooser.h build/ui_highscoresdialog.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: puzzle-master.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile puzzle-master.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile puzzle-master.pro

dist: 
	@$(CHK_DIR_EXISTS) build/puzzle-master1.2.0 || $(MKDIR) build/puzzle-master1.2.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/puzzle-master1.2.0/ && $(COPY_FILE) --parents mainwindow.h puzzleitem.h jigsawpuzzleitem.h settingsdialog.h imagechooser.h highscoresdialog.h jigsawpuzzleboard.h puzzleboard.h util.h build/puzzle-master1.2.0/ && $(COPY_FILE) --parents resources.qrc build/puzzle-master1.2.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp puzzleitem.cpp jigsawpuzzleitem.cpp settingsdialog.cpp imagechooser.cpp highscoresdialog.cpp jigsawpuzzleboard.cpp puzzleboard.cpp build/puzzle-master1.2.0/ && $(COPY_FILE) --parents mainwindow.ui settingsdialog.ui imagechooser.ui highscoresdialog.ui build/puzzle-master1.2.0/ && (cd `dirname build/puzzle-master1.2.0` && $(TAR) puzzle-master1.2.0.tar puzzle-master1.2.0 && $(COMPRESS) puzzle-master1.2.0.tar) && $(MOVE) `dirname build/puzzle-master1.2.0`/puzzle-master1.2.0.tar.gz . && $(DEL_FILE) -r build/puzzle-master1.2.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_mainwindow.cpp build/moc_jigsawpuzzleitem.cpp build/moc_settingsdialog.cpp build/moc_imagechooser.cpp build/moc_highscoresdialog.cpp build/moc_jigsawpuzzleboard.cpp build/moc_puzzleboard.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_mainwindow.cpp build/moc_jigsawpuzzleitem.cpp build/moc_settingsdialog.cpp build/moc_imagechooser.cpp build/moc_highscoresdialog.cpp build/moc_jigsawpuzzleboard.cpp build/moc_puzzleboard.cpp
build/moc_mainwindow.cpp: settingsdialog.h \
		imagechooser.h \
		highscoresdialog.h \
		puzzleboard.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o build/moc_mainwindow.cpp

build/moc_jigsawpuzzleitem.cpp: puzzleitem.h \
		jigsawpuzzleitem.h
	/usr/bin/moc $(DEFINES) $(INCPATH) jigsawpuzzleitem.h -o build/moc_jigsawpuzzleitem.cpp

build/moc_settingsdialog.cpp: settingsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o build/moc_settingsdialog.cpp

build/moc_imagechooser.cpp: imagechooser.h
	/usr/bin/moc $(DEFINES) $(INCPATH) imagechooser.h -o build/moc_imagechooser.cpp

build/moc_highscoresdialog.cpp: highscoresdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) highscoresdialog.h -o build/moc_highscoresdialog.cpp

build/moc_jigsawpuzzleboard.cpp: puzzleboard.h \
		jigsawpuzzleboard.h
	/usr/bin/moc $(DEFINES) $(INCPATH) jigsawpuzzleboard.h -o build/moc_jigsawpuzzleboard.cpp

build/moc_puzzleboard.cpp: puzzleboard.h
	/usr/bin/moc $(DEFINES) $(INCPATH) puzzleboard.h -o build/moc_puzzleboard.cpp

compiler_rcc_make_all: build/qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) build/qrc_resources.cpp
build/qrc_resources.cpp: resources.qrc \
		data/Blue_Dock_by_dimage.jpg \
		data/Solar_1920x1200_SunRiseTime.jpg \
		data/icons/about.png \
		data/icons/fullscreen.png \
		data/Bamboo-Zen.jpg \
		data/icons/unpause.png \
		data/about.txt \
		data/icons/play.png \
		data/icons/pause.png \
		data/icons/surrender.png \
		data/West_Wittering_-_All_along_the_Beach_Huts.jpg \
		data/icons/settings.png \
		data/icons/boardcolor.png \
		data/Squirrel.jpg \
		data/icons/help.png \
		data/puzzle-master.png
	/usr/bin/rcc -name resources resources.qrc -o build/qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: build/ui_mainwindow.h build/ui_settingsdialog.h build/ui_imagechooser.h build/ui_highscoresdialog.h
compiler_uic_clean:
	-$(DEL_FILE) build/ui_mainwindow.h build/ui_settingsdialog.h build/ui_imagechooser.h build/ui_highscoresdialog.h
build/ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic mainwindow.ui -o build/ui_mainwindow.h

build/ui_settingsdialog.h: settingsdialog.ui
	/usr/bin/uic settingsdialog.ui -o build/ui_settingsdialog.h

build/ui_imagechooser.h: imagechooser.ui
	/usr/bin/uic imagechooser.ui -o build/ui_imagechooser.h

build/ui_highscoresdialog.h: highscoresdialog.ui
	/usr/bin/uic highscoresdialog.ui -o build/ui_highscoresdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

build/main.o: main.cpp mainwindow.h \
		settingsdialog.h \
		imagechooser.h \
		highscoresdialog.h \
		puzzleboard.h \
		util.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/main.o main.cpp

build/mainwindow.o: mainwindow.cpp mainwindow.h \
		settingsdialog.h \
		imagechooser.h \
		highscoresdialog.h \
		puzzleboard.h \
		build/ui_mainwindow.h \
		jigsawpuzzleboard.h \
		jigsawpuzzleitem.h \
