## puzzle-master 1.0.0

=== debian/changelog ===
puzzle-master (1.0.0) unstable; urgency=low
 
  * A nice and addictive puzzle application
  * Support for desktop operating systems and Maemo
  * On Maemo, the accelerometer is used too

 -- Timur Kristóf <venemo@msn.com>  Fri, 17 Dec 2010 00:17:32 +0200
