=== debian/control ===
Source: puzzle-master
Section: user/games
Priority: extra
Maintainer: Timur Kristf (Venemo) <venemo@msn.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, libqtm-sensors
Standards-Version: 3.7.3

Package: puzzle-master
Architecture: any
Depends: ${shlibs:Depends}, libqt4-gui, libqtm-sensors
XB-Maemo-Display-Name: Puzzle Master
Description: A fun and addictive jigsaw puzzle game
 This is a jigsaw puzzle application that lets you use your own
 images (and contains some built-in ones) for generating puzzles.
 You can decide the size and thus the difficulty of the puzzle.
 The puzzle pieces will drift according to your accelerometer.
 This application is licensed under the terms of the
 European Union Public License (EUPL).
 http://www.osor.eu/eupl
XB-Maemo-Upgrade-Description: Wonderful new features!
 Install this upgrade to get your hands on the new features of Puzzle Master!
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAN4AhAAsG2Kl+AAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oMDhIYGaOMSFwAAAjpSURBVGje1Zl7jF1VFcZ/a+197p177zw6dx6d
 6bulL56FCp2KkIBUCH9IoBJiSBMKShWrEIwGEkhECIQA9YEGFAMoBiwmaNAS
 Ia1CQEbRQm0NSHGKfcy0nZl23nPnPs/2j7PvMDb9g3l0RnZyc5OTe87d317f
 Wt+31oFP+DKTuFeBALCAAO6TBECBamAeMAdIAEWgMN1AJgJAgCpg5fpUauMs
 Y9a0F4spD2AIyE8nCDtBALXPzZ79RFMQnA5o68jIh3cfP/4YMAK0+e//2wgE
 d6fTV5+bqNgYIDEr6JIgVpc2Ors1m90LHPUApiUKOpF75ll7lnESqIAgOEKu
 TFWeszoebwHqTxJZ8Qkfm+B/TikAF1ONiyDOudHHxBzmkkTifKDuBAAKpIC5
 wAKf/DqjAFwYDjjnnIjg/PGqCnXG1gGVYwCUq9XKCxLx9UvjwZUeRDCTSVxU
 OBAKRUUCwXmyC83W1jYak+oqlcoaUQ2suDFdc/OmupqN+wr59g37jx4EOqaq
 Wk0oArd0d20NYSgMHSXnEEDUUZDQFZyzQBKYDay6p6nuO5saajZiHI0xUx+I
 LAHSEzy8qRGyIoRXJZPNlTG7Rg04BTXCoCsVXhka+deIcyGw4plFTVtaqpJr
 UFBjCIyapJHYW0PZnUCX144ZUeLw+aGhV6+qTi6sjOk5YgQxQsxIsHMkm7+4
 Krnmrjl1Ny1LxheKOsQIThzGivSXwtKf+oZ3hdAOZCZLo8l4oeLWgaFXWioT
 /Q0xcwmKqbBiLqlOLflMVWJ5fYWtwoCogHGoVVBhYTJIv9qb2X28UNoH9APh
 dOfA2JXfdLDz+aNh+IG1ghilMm5sLCZajgpWEBWiSDjUCpfXp5r84clMJPHY
 e2uqjK6ojukCZ0EsqHFgBLH4DYMECoEyjBvcm8n9/vLZqTrg2GRPn0lUAguk
 DZzx8JKGB6rjWiWekA5BxcMTJcQh6lAR1v+940s9hdKbdy1vKAG9QGm6AQhQ
 ATRUGT377oV1d3yqJnG+E4eIIAKi4ERABNRhRXACz7YP/KGnUPoQ6Ln/g+7s
 TAhZ4C3B/LXViUu/Nm/WradXxk9zONT4DUsEUTTqb0QjjqgKb/Vl3gcGp+LU
 JwIg5k3aii/Pqdlw09xZN8SsmNCBGsUBqg6nPic1iogTwUgI6siFrlAWwukG
 YID6xYngokdWzN6yKGnnhS6qMEYcCBHnRUe578oMUocTg4gjMJr0UdQTCoH1
 USmdMgD3LW9Yd1Ft4vtV1qadhKiCw6EqPln/96M+DyIgDhRCXMp3ctb7IAVq
 /LUhrwmlU1FGXW+h1F0VN2lMiBpFrETCZKJSKQbEENV8KzgjqAH118UIX1w6
 69NAs++fFYh/78KmazefXX+9d6jxU6UDRYzsLwrDJlCcdZEw2UiUMApWERNp
 gPjNY2UUEOq4bF5qJbDMDwJqgPpZSXPZF5ZW3QYs9ZEYty59LCvxl56Rocub
 K2enK+wFxghOfeUxUMIVrUVRQMuREUQjKkVGThEjNKds46sdw50+Cks2n1t/
 S3NV0Px6x1BbV6bUBvSNl0Yf1wuFZ6UrBpZUB9epSEyt8P5gbu+d73R+9d2B
 3I+2H808+9n5lTeIRpRRjWiDiSIT5UnI6emKppXpihXVcXPaY+vm3NZYaevV
 CHOrgobftQ2+CXQCufEK08ddqTeuWNRaHTPnDBVd5vrXD33lwHBhB9ADmJvP
 qLvw1rNqd6CRoDmiShQltoCvWBI10ogCzoEKg4Uw2/KLts3AK8CR8ViM8XAu
 t+PI8O0YYV8m33pguLDHhzwPZLe3D/5jf6bwRzxtIi/k88CAWkGCyCM5n9gE
 ClZIJTT2zbX1V/jcsFOdxKPJ/N093X/LunD3vwdzTxH5+Xy5Uu0fyA8XhQ/L
 VUeM4KygRpAAnJXR66MVzIJYwQaqq+emFlbH1ZwqJS6vzAsdw5976J3ujOfq
 2FCXOnNu12KVQswQjOoBPrnLVFKHigORiEEGCo5SV7bYOpALx92ljRdA+NDO
 zmOe2Sfy1HUMZQ86iRXFmGCsIotEwibqPvJM3kMVQ1fctrf/B3e+fPRRn0/h
 qQRQ9jIn8zM6VCwZjOJMZOTUq7HziR1FIEpeVSFTZOTB1zq/tXV334u+Ry5M
 Vz9w0mctr0+0BDHianSULoYoaUfLnkbcyhZL+afe7rlvMpufKgBlQ5auTuoq
 GxhFQhg9dRD5qHSGOFThxT0DP3v0z92/AronuvmpABD3k7jaxbWxVWc2JdaJ
 dQjR6TNm48hHBnDLa93P/OTNY0944crPREsJoGvnJ+trKkzLof78aT+9ZsEd
 yQqNOyJxKouXqvgODVQcnUOF4Zfe638XGJ6KudBkAMiG89Ir1y2r/LWIGlUX
 9b/+xMX3xBEIR+gio1eTMhU1CbvwUG9hvu+L+ybT3JtJ8SdmMqvmJC6tSugc
 FDCCWoMYCMWBidrJyHZHmhmzqlefV7P6xd397YPZsG+Mmk8/gPe7svnPnz1r
 bmO1vUiNinozV3aiapWsCwtvH8zuCIyElXFTJyJYRTe01F28uyN35GBPbj8w
 MNGObLKDreLm3xx+rAjDaBj1AH5WKkbJFsP8L//a98D1T/7n6xc+tPc6P5xH
 EAKjeuPa2vVGWeAnHTITAMIjfdm+A/3558XqqNtUUXLFsHDvS0e//eDLR570
 4/ReGaOBIo4z5yQWLWtMLJ5JAAD5K3+8757yGAUHmWIp92Tr8fu37uz97ZhS
 6ZwjLFcknFCf0lSFpcZPPZgpACHQv6cj+zjOMVIIc0+39jzwyPaup8duHiih
 ouIgdA7EIarErLrJVKGpAOCA7K727DOFUPsf3t65acv2zp8Tva3Mj/lNoVRy
 BUZfDArHhouDI4XwCJCd6LxoqrxQ6d5th3fdu+3wEn+awyfYAwdkDvW7bYtq
 uaZ8pa0z9+7+4/n3mMRr2al6W+h8f9DnS+LJvE3uG8/tu70v6/aBcLi/0PbC
 rt4fDmZLB8bbB0+0J56KFbt2de28xkqz4J+Hc71vtA0e8oCLnxQA5aib0cSe
 5Kz0v2XbIrIZCMZ8AAAAAElFTkSuQmCC
 ====
