## puzzle-master 1.1.0

=== debian/changelog ===
puzzle-master (1.1.0) unstable; urgency=low
 
  * The app now uses the Qt Graphics View framework
  * Hardware graphics acceleration is enabled
  * Fixed bug of the timer stopping when some of the dialogs were open
  * Fixed bug with invalid image files
  * Added drop shadow effect
  * Added setting to the change background of the board
  * Improved settings GUI
  * Improved puzzle board GUI and animations
  * A bigger puzzle piece will try not to cover a smaller one
  * The puzzle board now correctly scales according to window size
  * Enabled automatic screen rotation
  * Ability to set snap difficulty
  * Maximum limit to the size of the puzzle
  * Full screen mode

 -- Timur Kristóf <venemo@msn.com>  Sat, 5 Feb 2011 23:07:56 +0200
 
