=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: user/games
 Priority: extra
 Maintainer: Timur Kristf (Venemo) <venemo@msn.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, libqtm-sensors
+Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev | maemo-version (<5.0), libqtm-sensors | maemo-version (<5.0), libhildon-extras1-dev | maemo-version (<5.0)
 Standards-Version: 3.7.3
+Homepage: http://gitorious.org/colorful-apps/pages/PuzzleMaster
 
 Package: puzzle-master
 Architecture: any
-Depends: ${shlibs:Depends}, libqt4-gui, libqtm-sensors
+Depends: ${shlibs:Depends}, libqt4-gui, libqtm-sensors | maemo-version (<5.0), libhildon-extras1 | maemo-version (<5.0)
 XB-Maemo-Display-Name: Puzzle Master
 Description: A fun and addictive jigsaw puzzle game
  This is a jigsaw puzzle application that lets you use your own
@@ -19,6 +20,7 @@
  http://www.osor.eu/eupl
 XB-Maemo-Upgrade-Description: Wonderful new features!
  Install this upgrade to get your hands on the new features of Puzzle Master!
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=57049
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAN4AhAAsG2Kl+AAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
