## puzzle-master 1.1.1

=== debian/changelog ===
puzzle-master (1.1.1) unstable; urgency=low
 
  * Maemo 4.1 (Diablo) version is now officially supported and working
  * Diablo version comes without animations/dropshadows/accelerometer support, as it has only Qt 4.5

 -- Timur Kristóf <venemo@msn.com>  Sat, 10 Feb 2011 00:38:08 +0200
 
