## puzzle-master 1.2.0

=== debian/changelog ===
puzzle-master (1.2.0) unstable; urgency=low
 
  * Fixed a bug with the timer not being reset correctly
  * New user interface (icons from Oxygen)
  * Added ability to manage images
  * The accelerometer works correctly when in portrait mode
  * The screen orienation is fixed when the accelerometer is used in the game
  * Images are scaled in such a way that they won't look ugly after upscaling

 -- Timur Kristóf <venemo@msn.com>  Sat, 18 Feb 2011 04:54:08 +0200
 
