=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/games
 Priority: extra
 Maintainer: Timur Kristf (Venemo) <venemo@msn.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev | maemo-version (<5.0), libqtm-sensors | maemo-version (<5.0), libhildon-extras1-dev | maemo-version (<5.0)
+Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5), libqtm-dev | maemo-version (<< 5.0), libqtm-sensors | maemo-version (<< 5.0), libhildon-extras1-dev | maemo-version (<< 5.0)
 Standards-Version: 3.7.3
 Homepage: http://gitorious.org/colorful-apps/pages/PuzzleMaster
 
 Package: puzzle-master
 Architecture: any
-Depends: ${shlibs:Depends}, libqt4-gui, libqtm-sensors | maemo-version (<5.0), libhildon-extras1 | maemo-version (<5.0)
+Depends: ${shlibs:Depends}
 XB-Maemo-Display-Name: Puzzle Master
 Description: A fun and addictive jigsaw puzzle game
  This is a jigsaw puzzle application that lets you use your own
