## puzzle-master 1.2.1

=== debian/changelog ===
puzzle-master (1.2.1) unstable; urgency=low
 
  * Several bug fixes
  * User interface improvements
  * Improved full screen experience
  * Performance improvements

 -- Timur Kristóf <venemo@msn.com>  Sun, 27 Feb 2011 17:15:08 +0200
 
