=== debian/changelog ===
puzzle-master (1.2.2) unstable; urgency=low
 
  * New Game dialog added
  * Ability to start in fullscreen
  * Ability to enable/disable OpenGL
  * Fixed a bug with the timer
  * Symbian is now an officially supported platform

 -- Timur Kristóf <venemo@msn.com>  Sun, 20 Mar 2011 12:59:08 +0200
 
