=== debian/control ===
Source: puzzle-master
Section: user/games
Priority: extra
Maintainer: Timur Kristf (Venemo) <venemo@msn.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5), libqtm-dev | maemo-version (<< 5.0), libqtm-sensors | maemo-version (<< 5.0), libhildon-extras1-dev | maemo-version (<< 5.0)
Standards-Version: 3.7.3
Homepage: http://gitorious.org/colorful-apps/pages/PuzzleMaster

Package: puzzle-master
Architecture: any
Depends: ${shlibs:Depends}
XB-Maemo-Display-Name: Puzzle Master
Description: A fun and addictive jigsaw puzzle game
 This is a jigsaw puzzle application that lets you use your own
 images (and contains some built-in ones) for generating puzzles.
 You can decide the size and thus the difficulty of the puzzle.
 The puzzle pieces will drift according to your accelerometer.
 This application is licensed under the terms of the
 European Union Public License (EUPL).
 http://www.osor.eu/eupl
XB-Maemo-Upgrade-Description: Wonderful new features!
 Install this upgrade to get your hands on the new features of Puzzle Master!
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=57049
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sDGxQJMJihbEsAAA50SURBVGje7VlZjKTXVf7Ovfdfa+mqrp7urp6e
 3ePxbs94y9gmkRWjJMSYCJyHYDAgXiJ4gQgpKDyAIxAGOZGMgAeEBcRBvOBI
 LHGcxcJWjCy8ZLzPeDzj6Znppbq7uqq6ln+/5/AwPcaZJXbsHsUPnJdf9ev+
 9Z/vP98557v3AP9vP1vT594gIgBQAAwA50JrPkpGF7jnTO3e3qjPTO0AUCZQ
 xkXRWT421+q1OwMA2S2/8ct47p++9ZEEQKUt41O3f+GX7t95/ZVfcn1/ikSG
 ca//8olXDv/b8UOvPTX3/CtHAQxIKRbmjxyF9N5P3n7j+BV7vsqOuy1KU0R5
 7orrbq9sbf58dWbyGu373faxuRZEUgDykQMQ7ti6l8aqny8sl4vCSpJkFMep
 RHFC5LnbgsnxO5xSsLj21twcgIuDOBNbtfEOdanAnpegplauuLXKjUHZ2+lq
 Qppl1O0PaDiKEMeJZMRltzZ2S56kh+KVtXmI5BdxP/Bnp3fXbrz6NqdRG0+X
 VvsbgC8tgHhpNZ3YNVsN65U7c860LXIpipziJEEUJzSKIskhFTa6Mjh64r/A
 Mjzn62oAjcr+Kz9Ru3LPF4Pmli+7Y5WbyXEW09bq4maDMO/+ISJCROsLh15/
 HIG+tjRZ/1XlGKUVIfBIPEdRkjElSQSE5i44ZhsKuwwg26CJX5me2N04sO9z
 aqJ2nw6DKxQA8ks3e9fu+orvAMvPvfEkgPXNotSPReCBBx5AdWdT+nOL3WwY
 ndDlwGNFO5glIGJytCBwtASugedqx/OdxfUTS4c3nN86e+f+T9eu2vXFUrPx
 W27oNTUJFESMBvmh13Qq/l4mzMetzgKA7IJF/MNSKO0NMXvnjbx66Ohq98TS
 q6rkL4kwF9aG0KgCIBGQcRScsr8nmG40avtmb24e2HdvZWbi191a6SAIjgJE
 KwAQgogQABM4TafqXy6E+WS5Nw8g/7CRuGCX7c8t4ZaHfo8XHn+mNzyx+FLU
 ar+gXfdNyYqO57szTCgVRQFy9ZhTCW91q6WDTiW8Trm6RgrQisQxRForMlqB
 SIhIABFo32mWG5WrHd85OZhfO0laWYjIZjWy86y+dxu6b50mAC6A3Xf97uf+
 ptqc+LiF1WleSJzllFkGWwYEcvY/lSIQAZoIIiKWLSyDsiRPiW2KrHh12Or8
 6VvfeeHJjUh8+CS+kHWOngKdEUj+DXff9vHpHVM7vcBXli1EmFgKFCywzMjy
 nPLCQixg5Qw3FAAWBoui/vL6y4NT7W/ZvDhVGq/4Ns07m1qFLhQhInIA7Pi5
 377n/qk9zfsQ+DsLKAJIjCaCcuEyg8Ui8FxoRXC1AYOR5fmZFGChPM9k7eUT
 /3L8uy98A0AXgAVAILL44Aw6H0B9uoZuq3eWMo1b7rn1k3sOXH6fW6ketGSq
 nAugrLjGEItAWKBEnUko0iAALApaafjmTIr5noHNstwDzQNY165JbG5xxnHZ
 nAhMzI6jPd/R3VbPBTB56y/edOfuA5fdG9ZKN7q+NwlSyhYFLJMIiLQIoADL
 AhYBCFBCUEQQBiwzSCkQKbAQ/KDsjo1PTAPwbFbE73j+IbuBKdVCjHoR2vMd
 H8DkzXff8Auz12z7QlgNr3Z9t2YMabYZCBCjNYxSZBnQ2kKRQg5CxoKcBUwE
 zQSlCEqrM6AgKFikszZHXTr16eqO8Af9k9EAQHGuM9f8WhWvfbMPAPCqCmmf
 318VCiq+e+2dVx3ccd22Pw/L3jWOMSUipVJmWIY4jobRRForKDpLFwUrFiAD
 xziwrBBlgoyBtN/D4pHX0O+ugC1DeySFSQnMWH09/v32seyfAawBONdD5TfM
 mHLVWLSULfsVJMngJ8fIAEA8SGTU61tN8Q6luWKtAwaJKILjatKwIBDEEjIG
 lCZox4ESQTTsI9U5jGKkcR9rgz66q6sYxT1QxcIoASyT70K0o8m7SX05T9Xb
 66f5aQCDsyBIA2Khx5pyW1jnP+wZPNw9jce9CuL0J4A4mwPF0edOHU7ila80
 ZvEQoCfcsofSmCZjXCjtQLkGnueLIUKaDIh0iigawcaQKE2IXAIZBthCFQQS
 gAcKEjMcR8GpK4hiMDA9db152Ob5l4Yt+SGAPoBCLACgVHR4p/bVHfUZUydj
 qXNCHnc8RHl6YRDvdGIubNZtpfODk9n8cC67vXc6DVtvDqX1yjqtvLou6ysj
 9Do9aq90KB4OR8UwSRGRp0xOFc+BUVYoJ1IMGBg4vgDEsOuCrKeQrIOKTEnW
 Y5KB1PxQPuWG5Iy6srzhR9m42Dc2Q7/pVuhyTTTpGFwBKwtRH6eUQn6haksX
 ANSo+urzgaO+CsY4wEICIkUoXPrvUc5/l8R8FIB1DKZrW7zPbLnM3Edsq8hJ
 SIPcmgvy5AzViJBmBYgVBAqkIHGSkECEWZANeKVYo0NWW+sYXOl6ejeYIUIA
 AUXCr3aX+E96a/g+gHOl+3laSAAkaSFvK0M946qblSCEAFbojWHEfxwn8n1h
 nBbGsi0wN+rb/+ks5E+6hd5pE9lpcyBLIZwxUaHBQwWJDUa9AjYVxMOcioEg
 i0HEgCFVVgqXGcHluqA6RiSSA5QIqYJEG5ryAnUVCebiWBY3pPvFxZzWEBGk
 WS7HggmVTOxz9ldmnSC1+Nduxz4GoL1RAu3GNWLGymjEhzxP7XJCvUcbRdFC
 IVnbUpowsqRAtlKgGBVApuB6Gg4UHJ+IlIDtGdGqmKAskQaINAEGZMok1ZKa
 qjfUVdrBW/2uLL67BJ8HQP6vvSRRn9/YepnmyrjMMttH2wvyggZyOT9qOTN6
 cOmkH+iP8bBoVJuGxrY7cHxGZdxgbKuBcoE8FfgOwWFApxZlz0W5ojAxQ9jS
 JEzuUpjaq9G8TKO512B6j0Z9KzC+Q02XxtQWMJ7prnL3LJXofcjt+pataloE
 q+1FXr1A7X6nhgOo793n3r/vGv/rYY1QqgFJKhiOCBoWvmMxigKMTQJgCzEW
 WjGiAZDFAqUNghKQx4w8h2Rg5MyUpIAU1O+v8INzrxePDDq8ehbAe4k5C2Bt
 dYHXAGD7FVpOHbEXW8sA1sOq+7wxpR8hcQ70Fgu0VodglUEHAiLBzhmDvJeh
 tZRhmAF+QGAr6K8BbiVDOTSgQkm3l8CrESkWzgscXV6wDy0e4X8H0B2bULLe
 5otvaC5m6+33Fi7rw0zrkr3GL/N1nYUEnVYB12cYKJRDQs2voOR5aK9EiIcC
 3xN4ngY5FgF5yLoi0BbGFSKSYtjD946/ZP+os8jf2+gZNo3k/e8HfkqTbIg8
 G+TDUZ/hlBWaVYXMAsOhxexEBbfvvx61oAIb/RBH3urAVQIuchhj4FoI1Swk
 EEKiivZS8dip48WDyQCH/ZCyJDq/E6jNPqap1d2GX3Z3FiAUECTCEBGEoSDw
 FMr+GCqlBvY2d2BiQkG5gmFMkEQwsingCSWpFKOoeKJ1svhaMsBrB+4y6YWc
 /1AAtHmHgg4AH0AFwM7LrtKf3b3LOdic1AgNASMg7xOygUanN0K7twwyDuAw
 dsw2UHMNSuIgbwOUgUJXwcnp0OEXiq/1u3h52+VU/OgHxQffUl40uwtAuwj3
 36o/6yqqx7GEfqivbjT5M4xkTDIl5RDklxlZoVD0gVB7WJk/DY+BWjXAeGU3
 PM4RSIIVIph6DhGwpKqVjXAaAJ8++gFOJX6KKIRbt6t7K476g0ZD31MrqwOu
 QVmsiLVChQisAJ4m+Fpjtl5HCQYT5TLqYQ1kLaLRCGvr6+jHDKMEShEpwthE
 WWsB9QZD7m9UQ9lUANoANoddmJPDVUdN1CfVAUBUMhIpcqKiAJIMiBOGBqPu
 OJgIAjS3NLB7+w74ritGiHrrbSytDcAEgBjlMRI3RMXx6cbAVfu2zaqm4yDr
 9qQHIN82ZdAf8YcHIAwQgQHEywN+vTZOngnUgUygUoZQoSiPAEUKoaMwUwmx
 pRpi19btqFVqErgORVEav3r05HffWhg81e/LWn3M2eZpMknMkmZwXMau2pgc
 rPh0rRGNtb7M90ccV6uQNN0ECr3TwCxGiwt8pDGuvQDqgLGkXA1xASprQrPk
 4orZJpqNCSl5DkLPpU532HrujdZfPfzNY3999O30P9d7fGjbpO/NTJkb1nuW
 Aq0kDEGuA+M4tG2iSTdNTSNdWuJjUYToLKU2a/5lRTDote3Rklaek6oDngKF
 vsh4aGjPZBX10JNGrY7xSoVa7dHhp19c+Ms/+/vnH80Le0oRDdNc2mHA3dkt
 zsF61TRK40zhGMO4ECaB9qhcHVP7HYdOt1f5bctINhMAALJZgX57jY95hnzJ
 cEOaEMEhmW648AyTr0ELK/GzTzx7+sG/feyN/wDQwZkzMACwgz4X03W3OTvt
 3RLluUCEpCAqUsJwQNBKh+XA7G13+enhUFYB2M2dQBKsFfT6kT1WLZuS0XTD
 YCBU8plK44xTrdG3n3im9RePPd16akMW/JgwzC3s3t1ObXaG7mZrtRhCoRVs
 pEmLwNGgellPFHExt9bll3OL5BKMUMlaxnohOL51q1O9ao9/bTlQOLGU/MOT
 L/a//uyryYsARr/yiWk5fHL4zlOlgJAX4FIAeBqXk9W7R5FIGlvyLTDoCtlU
 ZG2ZaWVF+t2RPJlbDC/VDNjGqXRF0ZvZ0K4vLuffeeFI9sjxU3wEQAwA73Ye
 APIzzVaWVjnSAg6UvsMrTJjFkO6IMRoR9ZaBxZalKJMTw1S+nVsMLuUQ2/bW
 bXdppXjp7RX7/GAkS+duB8+1T33Mw/F5my+t8dJEye9eu722f6YalE/O5xTl
 jJmyoTFDGGTyj2sjftYy4ks9hbcWiDa+un2vxcfnLcYrkDhDvNgtjttcDrWX
 cxtFdrKwXLZAJy3sI6e79tFeLMsALOEjaIGrEGesFBBUPd0ghS0MCbRGzCyt
 fixtls2feG6q/c7ByXcrZmfjtNy5BFuAn639LwGxeNXP2NAKAAAAAElFTkSu
 QmCC
 ====
