=== debian/rules ===
--- 
+++ 
@@ -50,10 +50,6 @@
 
 	# Add here commands to install the package into debian/puzzle-master.
 	$(MAKE) INSTALL_ROOT="$(CURDIR)/debian/puzzle-master" install
-	cp "$(CURDIR)/build/puzzle-master" "$(CURDIR)/debian/puzzle-master/opt/puzzle-master/"
-	cp "$(CURDIR)/data/puzzle-master.desktop" "$(CURDIR)/debian/puzzle-master/usr/share/applications/hildon/"
-	cp "$(CURDIR)/data/puzzle-master.png" "$(CURDIR)/debian/puzzle-master/usr/share/pixmaps/"
-
 
 # Build architecture-independent files here.
 binary-indep: build install
